      SUBROUTINE MASKSEE(nt,nmask,ifn,iparm2,ipro2,ifile,
     * ik,ipk)

C     MASKSEE ADDS A MASK TO THE SET OF MASKS OPENED FOR
C     A PROBE TYPE

      parameter (maxmask=100)
      dimension nmask(5),ifn(maxmask)
      dimension iparm2(maxmask),ipro2(maxmask)

      if ( nt .eq. 1 ) then
       ns=0
      else
       ns=nmask(nt-1)
      endif

      do 40 n=nmask(5),ns+1,-1

       ifn(n+1) = ifn(n)
       iparm2(n+1) = iparm2(n)
       ipro2(n+1) = ipro2(n)

40    continue

      ifn(ns+1)=ifile
      iparm2(ns+1)=ik
      ipro2(ns+1)=ipk

      do 45 n=nt,5
45     nmask(n)=nmask(n)+1

      return
      end

